net.sf.jasperreports.engine.fill

## Class JRTemplatePrintText

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement
  - - net.sf.jasperreports.engine.fill.JRTemplatePrintText

- All Implemented Interfaces:
    java.io.Serializable, TextFormat, JRAlignment, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRIdentifiable, JRParagraphContainer, JRPrintAnchor, JRPrintElement, JRPrintHyperlink, JRPrintText, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable
  Direct Known Subclasses:
    JRRecordedValuesPrintText

      public class JRTemplatePrintText
      extends JRTemplatePrintElement
      implements JRPrintText

  Implementation of `JRPrintText` that uses a `JRTemplateText` instance to store common attributes.
  Version:
    $Id: JRTemplatePrintText.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this field.

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintText

      `ZERO_LINE_BREAK_OFFSETS`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `PROPERTY_IGNORE_HYPERLINK_SUFFIX`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRCommonText

      `MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRTemplatePrintText()`
    `JRTemplatePrintText(JRTemplateText text)` Deprecated. provide a source Id via `JRTemplatePrintText(JRTemplateText, int)`
    `JRTemplatePrintText(JRTemplateText text, int sourceElementId)` Deprecated. replaced by `JRTemplatePrintText(JRTemplateText, PrintElementOriginator)`
    `JRTemplatePrintText(JRTemplateText text, PrintElementOriginator originator)` Creates a print text element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `java.lang.String` | `getAnchorName()`
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
    `JRFont` | `getFont()` Deprecated.
    `java.lang.String` | `getFontName()`
    `float` | `getFontsize()`
    `int` | `getFontSize()` Deprecated. Replaced by `getFontsize()`.
    `java.lang.String` | `getFormatFactoryClass()` Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.
    `JRStyledText` | `getFullStyledText(JRStyledTextAttributeSelector attributeSelector)` Returns the full styled text of this object.
    `java.lang.String` | `getFullText()` Returns the full (not truncated) text of this object.
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
    `java.lang.String` | `getHyperlinkAnchor()`
    `java.lang.Integer` | `getHyperlinkPage()`
    `JRPrintHyperlinkParameters` | `getHyperlinkParameters()` Returns the set of custom hyperlink parameters.
    `java.lang.String` | `getHyperlinkReference()`
    `HyperlinkTargetEnum` | `getHyperlinkTargetValue()`
    `java.lang.String` | `getHyperlinkTooltip()` Returns the hyperlink tooltip.
    `HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
    `float` | `getLeadingOffset()`
    `JRLineBox` | `getLineBox()`
    `short[]` | `getLineBreakOffsets()` Returns the line break offsets for the text if saved during report fill.
    `float` | `getLineSpacingFactor()`
    `LineSpacingEnum` | `getLineSpacingValue()` Deprecated. Replaced by `JRParagraph.getLineSpacing()`.
    `java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
    `java.lang.String` | `getLinkType()` Returns the hyperlink type.
    `java.lang.String` | `getLocaleCode()` Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.
    `java.lang.String` | `getMarkup()` Returns the text markup.
    `java.lang.String` | `getOriginalText()` Returns the original text that was set in this object.
    `java.lang.String` | `getOwnFontName()`
    `java.lang.Float` | `getOwnFontsize()`
    `java.lang.Integer` | `getOwnFontSize()` Deprecated. Replaced by `getOwnFontsize()`.
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `LineSpacingEnum` | `getOwnLineSpacingValue()` Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
    `java.lang.String` | `getOwnMarkup()`
    `java.lang.String` | `getOwnPdfEncoding()`
    `java.lang.String` | `getOwnPdfFontName()`
    `RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `JRParagraph` | `getParagraph()`
    `java.lang.String` | `getPattern()` Returns the pattern used to format a value that was the source of this text.
    `java.lang.String` | `getPdfEncoding()`
    `java.lang.String` | `getPdfFontName()`
    `RotationEnum` | `getRotationValue()` Gets the text rotation.
    `RunDirectionEnum` | `getRunDirectionValue()` Gets the text run direction.
    `JRStyledText` | `getStyledText(JRStyledTextAttributeSelector attributeSelector)` Deprecated. Replaced by `JRStyledTextUtil.getStyledText(JRPrintText, JRStyledTextAttributeSelector)`.
    `java.lang.String` | `getText()` Deprecated. Replaced by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
    `float` | `getTextHeight()`
    `java.lang.Integer` | `getTextTruncateIndex()` Returns the index to which this object's text is to be truncated.
    `java.lang.String` | `getTextTruncateSuffix()` Returns the suffix that is to be appended to the truncated text (as returned by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
    `java.lang.String` | `getTimeZoneId()` Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.
    `java.lang.Object` | `getValue()`
    `java.lang.String` | `getValueClassName()` Returns the type of the value which was used to generate this text.
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
    `boolean` | `isBold()`
    `boolean` | `isItalic()`
    `java.lang.Boolean` | `isOwnBold()`
    `java.lang.Boolean` | `isOwnItalic()`
    `java.lang.Boolean` | `isOwnPdfEmbedded()`
    `java.lang.Boolean` | `isOwnStrikeThrough()`
    `java.lang.Boolean` | `isOwnUnderline()`
    `boolean` | `isPdfEmbedded()`
    `boolean` | `isStrikeThrough()`
    `boolean` | `isUnderline()`
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `setAnchorName(java.lang.String anchorName)`
    `void` | `setBold(boolean isBold)`
    `void` | `setBold(java.lang.Boolean isBold)` Alternative setBold method which allows also to reset the "own" isBold property.
    `void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor.
    `void` | `setFont(JRFont font)` Deprecated.
    `void` | `setFontName(java.lang.String fontName)`
    `void` | `setFontSize(java.lang.Float fontSize)` Method which allows also to reset the "own" size property.
    `void` | `setFontSize(int fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setFontSize(java.lang.Integer fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)` Sets the text horizontal alignment.
    `void` | `setHyperlinkAnchor(java.lang.String hyperlinkAnchor)`
    `void` | `setHyperlinkPage(java.lang.Integer hyperlinkPage)`
    `void` | `setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)` Sets the custom hyperlink parameters.
    `void` | `setHyperlinkReference(java.lang.String hyperlinkReference)`
    `void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
    `void` | `setHyperlinkTooltip(java.lang.String hyperlinkTooltip)` Sets the tooltip to be used for the hyperlink.
    `void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
    `void` | `setItalic(boolean isItalic)`
    `void` | `setItalic(java.lang.Boolean isItalic)` Alternative setItalic method which allows also to reset the "own" isItalic property.
    `void` | `setLeadingOffset(float leadingOffset)`
    `void` | `setLineBreakOffsets(short[] lineBreakOffsets)` Sets the line break offsets for the text.
    `void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
    `void` | `setLineSpacingFactor(float lineSpacingFactor)`
    `void` | `setLinkTarget(byte hyperlinkTarget)`
    `void` | `setLinkTarget(java.lang.String linkTarget)` Sets the hyperlink target name.
    `void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
    `void` | `setMarkup(java.lang.String markup)`
    `void` | `setPdfEmbedded(boolean isPdfEmbedded)`
    `void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)` Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
    `void` | `setPdfEncoding(java.lang.String pdfEncoding)`
    `void` | `setPdfFontName(java.lang.String pdfFontName)`
    `void` | `setRotation(RotationEnum rotation)` Sets the text rotation.
    `void` | `setRunDirection(RunDirectionEnum runDirectionValue)` Sets the text run direction.
    `void` | `setStrikeThrough(boolean isStrikeThrough)`
    `void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)` Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
    `void` | `setText(java.lang.String text)` Set the text for this object.
    `void` | `setTextFormat(TextFormat textFormat)`
    `void` | `setTextHeight(float textHeight)`
    `void` | `setTextTruncateIndex(java.lang.Integer textTruncateIndex)` Sets the index to which this object's text is to be truncated.
    `void` | `setTextTruncateSuffix(java.lang.String textTruncateSuffix)` Sets the suffix to be appended to the truncated text.
    `void` | `setUnderline(boolean isUnderline)`
    `void` | `setUnderline(java.lang.Boolean isUnderline)` Alternative setUnderline method which allows also to reset the "own" isUnderline property.
    `void` | `setValue(java.lang.Object value)`
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)` Gets the text vertical alignment.
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `getBackcolor, getDefaultLineColor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getTemplate, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setSourceElementId, setStyle, setTemplate, setUUID, setWidth, setX, setY, updateElementTemplate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### bookmarkLevel

          protected int bookmarkLevel

      The bookmark level for the anchor associated with this field.
      See Also:
        `JRAnchor.getBookmarkLevel()`

  - ### Constructor Detail

    - #### JRTemplatePrintText

          public JRTemplatePrintText()

    - #### JRTemplatePrintText

          public JRTemplatePrintText(JRTemplateText text)

      Deprecated. provide a source Id via `JRTemplatePrintText(JRTemplateText, int)`
      Creates a print text element.
      Parameters:
        `text` - the template text that the element will use

    - #### JRTemplatePrintText

          public JRTemplatePrintText(JRTemplateText text,
                             int sourceElementId)

      Deprecated. replaced by `JRTemplatePrintText(JRTemplateText, PrintElementOriginator)`
      Creates a print text element.
      Parameters:
        `text` - the template text that the element will use
        `sourceElementId` - the Id of the source element

    - #### JRTemplatePrintText

          public JRTemplatePrintText(JRTemplateText text,
                             PrintElementOriginator originator)

      Creates a print text element.
      Parameters:
        `text` - the template text that the element will use
        `originator` -

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Deprecated. Replaced by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Description copied from interface: `JRPrintText`
      Returns the possibly truncated (when `JRPrintText.getTextTruncateIndex()` is not null) text of this object.
      Specified by:
        `getText` in interface `JRPrintText`
      Returns:
        the text of this object
      See Also:
        `JRPrintText.getFullText()`, `JRPrintText.getTextTruncateSuffix()`

    - #### setText

          public void setText(java.lang.String text)

      Description copied from interface: `JRPrintText`
      Set the text for this object.
      Specified by:
        `setText` in interface `JRPrintText`
      Parameters:
        `text` - the text
      See Also:
        `JRPrintText.setTextTruncateIndex(Integer)`

    - #### getTextTruncateIndex

          public java.lang.Integer getTextTruncateIndex()

      Description copied from interface: `JRPrintText`
      Returns the index to which this object's text is to be truncated. This index is usually set at report fill time when the engine is instructed to keep the full text in the print text object.
      Specified by:
        `getTextTruncateIndex` in interface `JRPrintText`
      Returns:
        the index to which this object's text is to be truncated
      See Also:
        `JRTextElement.PROPERTY_PRINT_KEEP_FULL_TEXT`, `JRPrintText.getTextTruncateSuffix()`

    - #### setTextTruncateIndex

          public void setTextTruncateIndex(java.lang.Integer textTruncateIndex)

      Description copied from interface: `JRPrintText`
      Sets the index to which this object's text is to be truncated. The test is truncated when `JRStyledTextUtil.getTruncatedText(JRPrintText)` or `JRPrintText.getStyledText(JRStyledTextAttributeSelector)` are called.
      Specified by:
        `setTextTruncateIndex` in interface `JRPrintText`
      Parameters:
        `textTruncateIndex` - the index to which this object's text is to be truncated

    - #### getTextTruncateSuffix

          public java.lang.String getTextTruncateSuffix()

      Description copied from interface: `JRPrintText`
      Returns the suffix that is to be appended to the truncated text (as returned by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Specified by:
        `getTextTruncateSuffix` in interface `JRPrintText`
      Returns:
        the truncated text suffix
      See Also:
        `JRTextElement.PROPERTY_TRUNCATE_SUFFIX`

    - #### setTextTruncateSuffix

          public void setTextTruncateSuffix(java.lang.String textTruncateSuffix)

      Description copied from interface: `JRPrintText`
      Sets the suffix to be appended to the truncated text.
      Specified by:
        `setTextTruncateSuffix` in interface `JRPrintText`
      Parameters:
        `textTruncateSuffix` - the suffix to be appended to the truncated text
      See Also:
        `JRPrintText.getTextTruncateSuffix()`

    - #### getLineBreakOffsets

          public short[] getLineBreakOffsets()

      Description copied from interface: `JRPrintText`
      Returns the line break offsets for the text if saved during report fill.

      The array of offsets is incremental, each offset adds to the previous value. I.e. the positions at which line breaks occur are `offset[0]`, `offset[0] + offset[1]`, `offset[0] + offset[1] + offset[2]` and so on.

      This array does not include positions for explicit line breaks in the text, i.e. for line breaks that occur due to new line characters in the text. The array only includes line break positions within a paragraph in the text.

      If the text was meant to have saved line break offsets but no (non explicit) breaks were detected (e.g. if the text is a single line), this method will return a zero-length array. If the text was not meant to include saved line breaks, the method will return `null`.

      Specified by:
        `getLineBreakOffsets` in interface `JRPrintText`
      Returns:
        the line break offsets (possibly zero-length array), or `null` if no line break positions were saved during the fill
      See Also:
        `JRTextElement.PROPERTY_SAVE_LINE_BREAKS`

    - #### setLineBreakOffsets

          public void setLineBreakOffsets(short[] lineBreakOffsets)

      Description copied from interface: `JRPrintText`
      Sets the line break offsets for the text.
      Specified by:
        `setLineBreakOffsets` in interface `JRPrintText`
      Parameters:
        `lineBreakOffsets` - the line break offsets
      See Also:
        `JRPrintText.getLineBreakOffsets()`

    - #### getFullText

          public java.lang.String getFullText()

      Description copied from interface: `JRPrintText`
      Returns the full (not truncated) text of this object.
      Specified by:
        `getFullText` in interface `JRPrintText`
      Returns:
        the full text of this object
      See Also:
        `JRStyledTextUtil.getTruncatedText(JRPrintText)`, `JRPrintText.getTextTruncateIndex()`

    - #### getOriginalText

          public java.lang.String getOriginalText()

      Description copied from interface: `JRPrintText`
      Returns the original text that was set in this object.
      Specified by:
        `getOriginalText` in interface `JRPrintText`
      Returns:
        the original text

    - #### getStyledText

          public JRStyledText getStyledText(JRStyledTextAttributeSelector attributeSelector)

      Deprecated. Replaced by `JRStyledTextUtil.getStyledText(JRPrintText, JRStyledTextAttributeSelector)`.
      Description copied from interface: `JRPrintText`
      Returns the styled text for this object. The text is truncated according to `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Specified by:
        `getStyledText` in interface `JRPrintText`
      Parameters:
        `attributeSelector` - the styled text attribute selector
      Returns:
        the possibly truncated styled text for this object

    - #### getFullStyledText

          public JRStyledText getFullStyledText(JRStyledTextAttributeSelector attributeSelector)

      Description copied from interface: `JRPrintText`
      Returns the full styled text of this object.
      Specified by:
        `getFullStyledText` in interface `JRPrintText`
      Parameters:
        `attributeSelector` - the styled text attribute selector
      Returns:
        the full styled text of this object
      See Also:
        `JRPrintText.getFullText()`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `JRPrintText`

    - #### setValue

          public void setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `JRPrintText`

    - #### getLineSpacingFactor

          public float getLineSpacingFactor()

      Specified by:
        `getLineSpacingFactor` in interface `JRPrintText`

    - #### setLineSpacingFactor

          public void setLineSpacingFactor(float lineSpacingFactor)

      Specified by:
        `setLineSpacingFactor` in interface `JRPrintText`

    - #### getLeadingOffset

          public float getLeadingOffset()

      Specified by:
        `getLeadingOffset` in interface `JRPrintText`

    - #### setLeadingOffset

          public void setLeadingOffset(float leadingOffset)

      Specified by:
        `setLeadingOffset` in interface `JRPrintText`

    - #### getHorizontalAlignmentValue

          public HorizontalAlignEnum getHorizontalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text horizontal alignment.
      Specified by:
        `getHorizontalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

      Specified by:
        `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

      Description copied from interface: `JRAlignment`
      Sets the text horizontal alignment.
      Specified by:
        `setHorizontalAlignment` in interface `JRAlignment`
      Parameters:
        `horizontalAlignment` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getVerticalAlignmentValue

          public VerticalAlignEnum getVerticalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `getVerticalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getOwnVerticalAlignmentValue

          public VerticalAlignEnum getOwnVerticalAlignmentValue()

      Specified by:
        `getOwnVerticalAlignmentValue` in interface `JRAlignment`

    - #### setVerticalAlignment

          public void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `setVerticalAlignment` in interface `JRAlignment`
      Parameters:
        `verticalAlignment` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getRotationValue

          public RotationEnum getRotationValue()

      Description copied from interface: `JRCommonText`
      Gets the text rotation.
      Specified by:
        `getRotationValue` in interface `JRCommonText`
      Returns:
        a value representing one of the text rotation constants in `RotationEnum`

    - #### getOwnRotationValue

          public RotationEnum getOwnRotationValue()

      Description copied from interface: `JRPrintText`
      Gets the text own rotation.
      Specified by:
        `getOwnRotationValue` in interface `JRCommonText`
      Specified by:
        `getOwnRotationValue` in interface `JRPrintText`
      Returns:
        a value representing one of the text rotation constants in `RotationEnum`

    - #### setRotation

          public void setRotation(RotationEnum rotation)

      Description copied from interface: `JRPrintText`
      Sets the text rotation.
      Specified by:
        `setRotation` in interface `JRCommonText`
      Specified by:
        `setRotation` in interface `JRPrintText`
      Parameters:
        `rotation` - a value representing one of the text rotation constants in `RotationEnum`

    - #### getRunDirectionValue

          public RunDirectionEnum getRunDirectionValue()

      Description copied from interface: `JRPrintText`
      Gets the text run direction.
      Specified by:
        `getRunDirectionValue` in interface `JRPrintText`
      Returns:
        a value representing one of the run direction constants in `RunDirectionEnum`

    - #### setRunDirection

          public void setRunDirection(RunDirectionEnum runDirectionValue)

      Description copied from interface: `JRPrintText`
      Sets the text run direction.
      Specified by:
        `setRunDirection` in interface `JRPrintText`
      Parameters:
        `runDirectionValue` - a value representing one of the text run direction constants in `RunDirectionEnum`

    - #### getTextHeight

          public float getTextHeight()

      Specified by:
        `getTextHeight` in interface `JRPrintText`

    - #### setTextHeight

          public void setTextHeight(float textHeight)

      Specified by:
        `setTextHeight` in interface `JRPrintText`

    - #### getLineSpacingValue

          public LineSpacingEnum getLineSpacingValue()

      Deprecated. Replaced by `JRParagraph.getLineSpacing()`.
      Specified by:
        `getLineSpacingValue` in interface `JRCommonText`

    - #### getOwnLineSpacingValue

          public LineSpacingEnum getOwnLineSpacingValue()

      Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
      Specified by:
        `getOwnLineSpacingValue` in interface `JRCommonText`
      Specified by:
        `getOwnLineSpacingValue` in interface `JRPrintText`

    - #### setLineSpacing

          public void setLineSpacing(LineSpacingEnum lineSpacing)

      Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
      Specified by:
        `setLineSpacing` in interface `JRCommonText`
      Specified by:
        `setLineSpacing` in interface `JRPrintText`

    - #### getMarkup

          public java.lang.String getMarkup()

      Description copied from interface: `JRCommonText`
      Returns the text markup.
      Specified by:
        `getMarkup` in interface `JRCommonText`

    - #### getOwnMarkup

          public java.lang.String getOwnMarkup()

      Specified by:
        `getOwnMarkup` in interface `JRCommonText`
      Specified by:
        `getOwnMarkup` in interface `JRPrintText`

    - #### setMarkup

          public void setMarkup(java.lang.String markup)

      Specified by:
        `setMarkup` in interface `JRCommonText`
      Specified by:
        `setMarkup` in interface `JRPrintText`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getParagraph

          public JRParagraph getParagraph()

      Specified by:
        `getParagraph` in interface `JRParagraphContainer`

    - #### getFont

          public JRFont getFont()

      Deprecated.
      Specified by:
        `getFont` in interface `JRPrintText`

    - #### setFont

          public void setFont(JRFont font)

      Deprecated.
      Specified by:
        `setFont` in interface `JRPrintText`

    - #### setTextFormat

          public void setTextFormat(TextFormat textFormat)

      Specified by:
        `setTextFormat` in interface `JRPrintText`

    - #### getAnchorName

          public java.lang.String getAnchorName()

      Specified by:
        `getAnchorName` in interface `JRPrintAnchor`

    - #### setAnchorName

          public void setAnchorName(java.lang.String anchorName)

      Specified by:
        `setAnchorName` in interface `JRPrintAnchor`

    - #### getHyperlinkTypeValue

          public HyperlinkTypeEnum getHyperlinkTypeValue()

      Description copied from interface: `JRPrintHyperlink`
      Retrieves the hyperlink type for the element.

      The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

      Specified by:
        `getHyperlinkTypeValue` in interface `JRPrintHyperlink`
      Returns:
        one of the hyperlink type constants
      See Also:
        `JRPrintHyperlink.getLinkType()`

    - #### setHyperlinkType

          public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

      Description copied from interface: `JRPrintHyperlink`
      Sets the link type as a built-in hyperlink type.
      Specified by:
        `setHyperlinkType` in interface `JRPrintHyperlink`
      Parameters:
        `hyperlinkType` - the built-in hyperlink type
      See Also:
        `JRPrintHyperlink.getLinkType()`

    - #### getHyperlinkTargetValue

          public HyperlinkTargetEnum getHyperlinkTargetValue()

      Specified by:
        `getHyperlinkTargetValue` in interface `JRPrintHyperlink`

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

      Specified by:
        `setHyperlinkTarget` in interface `JRPrintHyperlink`

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

      Description copied from interface: `JRPrintHyperlink`
      Returns the hyperlink target name.

      The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `getLinkTarget` in interface `JRPrintHyperlink`
      Returns:
        the hyperlink type

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String linkTarget)

      Description copied from interface: `JRPrintHyperlink`
      Sets the hyperlink target name.

      The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Specified by:
        `setLinkTarget` in interface `JRPrintHyperlink`
      Parameters:
        `linkTarget` - the hyperlink target name

    - #### setLinkTarget

          public void setLinkTarget(byte hyperlinkTarget)

    - #### getHyperlinkReference

          public java.lang.String getHyperlinkReference()

      Specified by:
        `getHyperlinkReference` in interface `JRPrintHyperlink`

    - #### setHyperlinkReference

          public void setHyperlinkReference(java.lang.String hyperlinkReference)

      Specified by:
        `setHyperlinkReference` in interface `JRPrintHyperlink`

    - #### getHyperlinkAnchor

          public java.lang.String getHyperlinkAnchor()

      Specified by:
        `getHyperlinkAnchor` in interface `JRPrintHyperlink`

    - #### setHyperlinkAnchor

          public void setHyperlinkAnchor(java.lang.String hyperlinkAnchor)

      Specified by:
        `setHyperlinkAnchor` in interface `JRPrintHyperlink`

    - #### getHyperlinkPage

          public java.lang.Integer getHyperlinkPage()

      Specified by:
        `getHyperlinkPage` in interface `JRPrintHyperlink`

    - #### setHyperlinkPage

          public void setHyperlinkPage(java.lang.Integer hyperlinkPage)

      Specified by:
        `setHyperlinkPage` in interface `JRPrintHyperlink`

    - #### getBookmarkLevel

          public int getBookmarkLevel()

      Description copied from interface: `JRPrintAnchor`
      Returns the level of the bookmark corresponding to the anchor.
      Specified by:
        `getBookmarkLevel` in interface `JRPrintAnchor`
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

    - #### setBookmarkLevel

          public void setBookmarkLevel(int bookmarkLevel)

      Description copied from interface: `JRPrintAnchor`
      Sets the boomark level for the anchor.
      Specified by:
        `setBookmarkLevel` in interface `JRPrintAnchor`
      Parameters:
        `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

    - #### getFontName

          public java.lang.String getFontName()

      Specified by:
        `getFontName` in interface `JRFont`

    - #### getOwnFontName

          public java.lang.String getOwnFontName()

      Specified by:
        `getOwnFontName` in interface `JRFont`

    - #### setFontName

          public void setFontName(java.lang.String fontName)

      Specified by:
        `setFontName` in interface `JRFont`

    - #### isBold

          public boolean isBold()

      Specified by:
        `isBold` in interface `JRFont`

    - #### isOwnBold

          public java.lang.Boolean isOwnBold()

      Specified by:
        `isOwnBold` in interface `JRFont`

    - #### setBold

          public void setBold(boolean isBold)

      Specified by:
        `setBold` in interface `JRFont`

    - #### setBold

          public void setBold(java.lang.Boolean isBold)

      Alternative setBold method which allows also to reset the "own" isBold property.
      Specified by:
        `setBold` in interface `JRFont`

    - #### isItalic

          public boolean isItalic()

      Specified by:
        `isItalic` in interface `JRFont`

    - #### isOwnItalic

          public java.lang.Boolean isOwnItalic()

      Specified by:
        `isOwnItalic` in interface `JRFont`

    - #### setItalic

          public void setItalic(boolean isItalic)

      Specified by:
        `setItalic` in interface `JRFont`

    - #### setItalic

          public void setItalic(java.lang.Boolean isItalic)

      Alternative setItalic method which allows also to reset the "own" isItalic property.
      Specified by:
        `setItalic` in interface `JRFont`

    - #### isUnderline

          public boolean isUnderline()

      Specified by:
        `isUnderline` in interface `JRFont`

    - #### isOwnUnderline

          public java.lang.Boolean isOwnUnderline()

      Specified by:
        `isOwnUnderline` in interface `JRFont`

    - #### setUnderline

          public void setUnderline(boolean isUnderline)

      Specified by:
        `setUnderline` in interface `JRFont`

    - #### setUnderline

          public void setUnderline(java.lang.Boolean isUnderline)

      Alternative setUnderline method which allows also to reset the "own" isUnderline property.
      Specified by:
        `setUnderline` in interface `JRFont`

    - #### isStrikeThrough

          public boolean isStrikeThrough()

      Specified by:
        `isStrikeThrough` in interface `JRFont`

    - #### isOwnStrikeThrough

          public java.lang.Boolean isOwnStrikeThrough()

      Specified by:
        `isOwnStrikeThrough` in interface `JRFont`

    - #### setStrikeThrough

          public void setStrikeThrough(boolean isStrikeThrough)

      Specified by:
        `setStrikeThrough` in interface `JRFont`

    - #### setStrikeThrough

          public void setStrikeThrough(java.lang.Boolean isStrikeThrough)

      Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
      Specified by:
        `setStrikeThrough` in interface `JRFont`

    - #### getFontsize

          public float getFontsize()

      Specified by:
        `getFontsize` in interface `JRCommonText`
      Specified by:
        `getFontsize` in interface `JRFont`

    - #### getOwnFontsize

          public java.lang.Float getOwnFontsize()

      Specified by:
        `getOwnFontsize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(java.lang.Float fontSize)

      Method which allows also to reset the "own" size property.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### getFontSize

          public int getFontSize()

      Deprecated. Replaced by `getFontsize()`.
      Specified by:
        `getFontSize` in interface `JRCommonText`
      Specified by:
        `getFontSize` in interface `JRFont`

    - #### getOwnFontSize

          public java.lang.Integer getOwnFontSize()

      Deprecated. Replaced by `getOwnFontsize()`.
      Specified by:
        `getOwnFontSize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(int fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(java.lang.Integer fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### getPdfFontName

          public java.lang.String getPdfFontName()

      Specified by:
        `getPdfFontName` in interface `JRFont`

    - #### getOwnPdfFontName

          public java.lang.String getOwnPdfFontName()

      Specified by:
        `getOwnPdfFontName` in interface `JRFont`

    - #### setPdfFontName

          public void setPdfFontName(java.lang.String pdfFontName)

      Specified by:
        `setPdfFontName` in interface `JRFont`

    - #### getPdfEncoding

          public java.lang.String getPdfEncoding()

      Specified by:
        `getPdfEncoding` in interface `JRFont`

    - #### getOwnPdfEncoding

          public java.lang.String getOwnPdfEncoding()

      Specified by:
        `getOwnPdfEncoding` in interface `JRFont`

    - #### setPdfEncoding

          public void setPdfEncoding(java.lang.String pdfEncoding)

      Specified by:
        `setPdfEncoding` in interface `JRFont`

    - #### isPdfEmbedded

          public boolean isPdfEmbedded()

      Specified by:
        `isPdfEmbedded` in interface `JRFont`

    - #### isOwnPdfEmbedded

          public java.lang.Boolean isOwnPdfEmbedded()

      Specified by:
        `isOwnPdfEmbedded` in interface `JRFont`

    - #### setPdfEmbedded

          public void setPdfEmbedded(boolean isPdfEmbedded)

      Specified by:
        `setPdfEmbedded` in interface `JRFont`

    - #### setPdfEmbedded

          public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

      Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
      Specified by:
        `setPdfEmbedded` in interface `JRFont`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Description copied from interface: `JRPrintText`
      Returns the type of the value which was used to generate this text.

      `Text fields` that have a non-`String` expression save the value type using this attribute. This information can be used by exporters to treat numerical or date texts (for instance) in a special manner.

      Specified by:
        `getValueClassName` in interface `TextFormat`
      Specified by:
        `getValueClassName` in interface `JRPrintText`
      Returns:
        the type of the original value used to generate the text

    - #### getPattern

          public java.lang.String getPattern()

      Description copied from interface: `JRPrintText`
      Returns the pattern used to format a value that was the source of this text.

      The pattern can be used to parse the text back to its source value.

      Specified by:
        `getPattern` in interface `TextFormat`
      Specified by:
        `getPattern` in interface `JRPrintText`
      Returns:
        the pattern used to format this text's source value
      See Also:
        `JRPrintText.getValueClassName()`

    - #### getFormatFactoryClass

          public java.lang.String getFormatFactoryClass()

      Description copied from interface: `JRPrintText`
      Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.
      Specified by:
        `getFormatFactoryClass` in interface `TextFormat`
      Specified by:
        `getFormatFactoryClass` in interface `JRPrintText`

    - #### getLocaleCode

          public java.lang.String getLocaleCode()

      Description copied from interface: `JRPrintText`
      Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.

      The code is created using the `java.util.Locale.toString()` convention.

      When this attribute is null, the locale returned by `JasperPrint.getLocaleCode()` is used. This way, the locale is specified in a single place when all the (or many ) texts from a print object were formatted using the same locale.

      Specified by:
        `getLocaleCode` in interface `TextFormat`
      Specified by:
        `getLocaleCode` in interface `JRPrintText`
      Returns:
        the code of the `java.util.Locale` used when formatting this text's source value

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

      Description copied from interface: `JRPrintText`
      Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.

      When this attribute is null, the time zone returned by `JasperPrint.getTimeZoneId()` is used.

      Specified by:
        `getTimeZoneId` in interface `TextFormat`
      Specified by:
        `getTimeZoneId` in interface `JRPrintText`
      Returns:
        the `ID` of the `java.util.TimeZone` used to format this text's date source value

    - #### getHyperlinkParameters

          public JRPrintHyperlinkParameters getHyperlinkParameters()

      Description copied from interface: `JRPrintHyperlink`
      Returns the set of custom hyperlink parameters.
      Specified by:
        `getHyperlinkParameters` in interface `JRPrintHyperlink`
      Returns:
        the set of custom hyperlink parameters
      See Also:
        `JRPrintHyperlink.setHyperlinkParameters(JRPrintHyperlinkParameters)`, `JRPrintHyperlinkParameter`

    - #### setHyperlinkParameters

          public void setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)

      Description copied from interface: `JRPrintHyperlink`
      Sets the custom hyperlink parameters.

      These parameters will be used to produce the actual hyperlink when the report is exported.

      Specified by:
        `setHyperlinkParameters` in interface `JRPrintHyperlink`
      Parameters:
        `hyperlinkParameters` - the set of custom hyperlink parameters

    - #### getLinkType

          public java.lang.String getLinkType()

      Description copied from interface: `JRPrintHyperlink`
      Returns the hyperlink type.
      Specified by:
        `getLinkType` in interface `JRPrintHyperlink`
      Returns:
        the hyperlink type

    - #### setLinkType

          public void setLinkType(java.lang.String type)

      Description copied from interface: `JRPrintHyperlink`
      Sets the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Specified by:
        `setLinkType` in interface `JRPrintHyperlink`
      Parameters:
        `type` - the hyperlink type

    - #### getHyperlinkTooltip

          public java.lang.String getHyperlinkTooltip()

      Description copied from interface: `JRPrintHyperlink`
      Returns the hyperlink tooltip.
      Specified by:
        `getHyperlinkTooltip` in interface `JRPrintHyperlink`
      Returns:
        the hyperlink tooltip

    - #### setHyperlinkTooltip

          public void setHyperlinkTooltip(java.lang.String hyperlinkTooltip)

      Description copied from interface: `JRPrintHyperlink`
      Sets the tooltip to be used for the hyperlink.
      Specified by:
        `setHyperlinkTooltip` in interface `JRPrintHyperlink`
      Parameters:
        `hyperlinkTooltip` - the tooltip

    - #### accept

          public <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Description copied from interface: `JRPrintElement`
      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Specified by:
        `accept` in interface `JRPrintElement`
      Overrides:
        `accept` in class `JRTemplatePrintElement`
      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `writeVirtualized` in class `JRTemplatePrintElement`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `readVirtualized` in class `JRTemplatePrintElement`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com